Hide navigation sidebar
Hide table of contents sidebar
Back to top
Toggle table of contents sidebar

# gsd command line interface

GSD provides a command line interface for rapid inspection of files from the command line.

The GSD command line interface.

To simplify ad hoc usage of `gsd`, this module provides a command line interface for interacting with GSD files. The primary entry point is a single command for starting a Python interpreter with a GSD file pre-loaded:

    $ gsd read trajectory.gsd

The following options are available for the `read` subcommand:

-s schema, --schema schema

  The schema of the GSD file. Supported values for `schema` are “hoomd” and “none”.

-m mode, --mode mode

  The mode in which to open the file. Valid modes are identical to those accepted by `gsd.fl.open()`.